summaryrefslogtreecommitdiffstats
path: root/abs/core/runit-scripts/fbsplash-runit.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2013-12-09 23:00:57 (GMT)
committerBritney Fransen <brfransen@gmail.com>2013-12-09 23:00:57 (GMT)
commitfc357b029363755a1a75e05700701265134e71d6 (patch)
tree3934ade5d8c8e32875cdc18cd536359de9c62532 /abs/core/runit-scripts/fbsplash-runit.sh
parent23b63734b90bb8c37d88673383002cbd210cdc99 (diff)
parentefb028d99b56e06e48dfc3d762e9d699ee1f24b7 (diff)
downloadlinhes_pkgbuild-fc357b029363755a1a75e05700701265134e71d6.zip
linhes_pkgbuild-fc357b029363755a1a75e05700701265134e71d6.tar.gz
linhes_pkgbuild-fc357b029363755a1a75e05700701265134e71d6.tar.bz2
Merge branch 'testing' of linhes.org:linhes_pkgbuild into testing
Diffstat (limited to 'abs/core/runit-scripts/fbsplash-runit.sh')
-rw-r--r--abs/core/runit-scripts/fbsplash-runit.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/core/runit-scripts/fbsplash-runit.sh b/abs/core/runit-scripts/fbsplash-runit.sh
new file mode 100644
index 0000000..9fb9591
--- /dev/null
+++ b/abs/core/runit-scripts/fbsplash-runit.sh
@@ -0,0 +1,37 @@
+# fbsplash functions.d runit script #
+
+printhlr() {
+ printf "${C_OTHER}${PREFIX_REG} ${C_H1}${1}${C_CLEAR} \n"
+ }
+
+stat_runit(){
+ printf ""
+ printhlr "${C_MAIN}${1}${C_CLEAR} "
+}
+
+
+# splash stuff #
+if [ -e /etc/conf.d/fbcondecor ]
+then
+ . /etc/conf.d/fbcondecor
+ . /sbin/splash-functions.sh
+
+ case $0 in /etc/runit/1 )
+ # Prevent splash destruction
+ CONSOLEFONT=""
+ # Continue to use a splash daemon started in initcpio
+ if /bin/mountpoint -q /run/.splash-cache; then
+ /bin/mount --move /run/.splash-cache $spl_cachedir || return
+ # Mount a tmpfs
+ else
+ ( splash_cache_prep ) || return
+ fi
+
+ splash_comm_send set message "$SPLASH_BOOT_MESSAGE"
+
+ ;; /etc/runit/3 )
+ ( splash_cache_prep ) || return
+
+ splash_comm_send set message "$SPLASH_SHUTDOWN_MESSAGE"
+ esac
+fi